{% if search.performed %}

{% assign search_type = search.types | join: ',' %}

{% paginate search.results by section.settings.items_per_page %}
<div class="row search-results-wrap">
  
  <div class="col-lg-3 has-search-sidebar">
    {% if search_type == 'product' %}
      -- collection-sidebar --
    {% else %}
      {% include 'blog-sidebar' %}
    {% endif %}
  </div>
  
  <div class="col-lg-9 has-search-results">
    
    <h1 class="page-heading text-center"><span>Search Results for:</span> {{ search.terms }}</h1>
    
    {% if search.results == empty %}
    <div class="fs22 color-lighter text-center pt50 pb50">
      <p>No items match the current search criteria.</p>
      <p>Please try a different combination or start over at <a href="{{ shop.url }}">our homepage</a></p>
    </div>
    {% else %}
      {% if search_type == 'article' %}
    <div id="blog-listing">
        {% for article in search.results %}
          {% include 'blog-listing-item' %}
        {% endfor %}
    </div>
      {% else %}
        {% for product in search.results %}
        -- collection-grid-item --
        {% endfor %}
      {% endif %}
    {% endif %}

    {% if paginate.pages > 1 %}
      {% include 'pagination', items_per_page: section.settings.items_per_page %}
    {% endif %}
    
  </div><!-- .has-blog-listing -->
  
</div>
{% endpaginate %}
{% endif %}

{% schema %}
  {
    "name": "Search pages",
    "settings": [
      {
        "type": "select",
        "id": "items_per_page",
        "label": "Search results per page",
        "default": "10",
        "options": [
          {
            "value": "10",
            "label": "10"
          },
          {
            "value": "12",
            "label": "12"
          },
          {
            "value": "15",
            "label": "15"
          },
          {
            "value": "20",
            "label": "20"
          }
        ]
      }
    ]
  }
{% endschema %}

{% stylesheet %}
{% endstylesheet %}

{% javascript %}
{% endjavascript %}
